#ifndef PIXMAPCACHE_H
#define PIXMAPCACHE_H

#include <QCache>
#include <QPixmap>

class PixmapCache
{
public:
	PixmapCache();
	~PixmapCache();
	
	void insert(const QString& key, const QPixmap& pix);
	bool find(const QString& key, QPixmap& pix);
	void setTimestamp(unsigned int time);
	unsigned int timestamp() const { return m_timestamp; }
	void discard();
private:
	QCache<QString, QPixmap> cache;
	unsigned int m_timestamp;
};

#endif
