TEMPLATE = app
TARGET = qpat
DEPENDPATH += . patsolve krandom libkdegames
INCLUDEPATH += .

QT += svg xml widgets
DEFINES += QT_NO_DEBUG_OUTPUT QT_NO_WARNING_OUTPUT

LIBS += -L./krandom -lkrandom -L./libkdegames/ -lkdegames -L./patsolve -lpatsolve
POST_TARGETDEPS += ./krandom/libkrandom.a ./libkdegames/libkdegames.a ./patsolve/libpatsolve.a

# Input
HEADERS += card.h \
           cardmaps.h \
           clock.h \
           copyright.h \
           dealer.h \
           deck.h \
           demo.h \
           fortyeight.h \
           freecell.h \
           gamestatsimpl.h \
           golf.h \
           grandf.h \
           gypsy.h \
           hint.h \
           idiot.h \
           klondike.h \
           mod3.h \
           pile.h \
           pwidget.h \
           render.h \
           simon.h \
           speeds.h \
           spider.h \
           version.h \
           view.h \
           yukon.h
FORMS += gamestats.ui
SOURCES += card.cpp \
           cardmaps.cpp \
           clock.cpp \
           dealer.cpp \
           deck.cpp \
           demo.cpp \
           fortyeight.cpp \
           freecell.cpp \
           gamestatsimpl.cpp \
           golf.cpp \
           grandf.cpp \
           gypsy.cpp \
           idiot.cpp \
           klondike.cpp \
           main.cpp \
           mod3.cpp \
           pile.cpp \
           pile_algorithms.cpp \
           pwidget.cpp \
           render.cpp \
           simon.cpp \
           spider.cpp \
           view.cpp \
           yukon.cpp

TRANSLATIONS += qpat_ru.ts

include (src.pri)

INSTALLS += target data
target.path = $$BINDIR
data.path = $$DATADIR
data.files += ../carddecks ../demos ../theme.svgz qpat_ru.qm

desktopfile.path = $$APPSDIR
desktopfile.files = qpat.desktop

INSTALLS += desktopfile

ICONNAME=qpat
ICONDIR=../icons/icons-old

ICON16=$$ICONDIR/hi16-app-kpat.png
ICON22=$$ICONDIR/hi22-app-kpat.png
ICON32=$$ICONDIR/hi32-app-kpat.png
ICON48=$$ICONDIR/hi48-app-kpat.png
ICON64=$$ICONDIR/hi64-app-kpat.png
ICON128=$$ICONDIR/hi128-app-kpat.png

icon.path = $$APPICONDIR/hicolor
icon.extra= export XDG_DATA_DIRS=$(INSTALL_ROOT)/$$APPICONDIR/../; \
	[ "$$ICON16" ] && [ -e "$$ICON16" ] && xdg-icon-resource install --novendor --size 16 $$ICON16 $$ICONNAME; \
	[ "$$ICON22" ] && [ -e "$$ICON22" ] && xdg-icon-resource install --novendor --size 22 $$ICON22 $$ICONNAME; \
	[ "$$ICON32" ] && [ -e "$$ICON32" ] && xdg-icon-resource install --novendor --size 32 $$ICON32 $$ICONNAME; \
	[ "$$ICON48" ] && [ -e "$$ICON48" ] && xdg-icon-resource install --novendor --size 48 $$ICON48 $$ICONNAME; \
	[ "$$ICON64" ] && [ -e "$$ICON64" ] && xdg-icon-resource install --novendor --size 64 $$ICON64 $$ICONNAME; \
	[ "$$ICON128" ] && [ -e "$$ICON128" ] && xdg-icon-resource install --novendor --size 128 $$ICON128 $$ICONNAME; \
	true;

INSTALLS += icon
